DataSourceGrailsPlugin (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.datasource
[Groovy] Class DataSourceGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.datasource.DataSourceGrailsPlugin

    class DataSourceGrailsPlugin
    extends java.lang.Object

Handles the configuration of a DataSource within Grails.

Authors:
  Graeme Rocher

Since:
  0.4

Property Summary
`java.lang.Object` | `createDatasource`
`java.lang.Object` | `dependsOn`
`java.lang.Object` | `doWithSpring`
`java.lang.Object` | `doWithWebDescriptor`
`java.lang.Object` | `onChange`
`java.lang.Object` | `onShutdown`
`java.lang.Object` | `version`
`java.lang.Object` | `watchedResources`

Method Summary
`void` | `registerTomcatJMXMBeans(java.lang.Object application, java.lang.Object beanBuilderDelegate)`
`java.lang.String` | `resolvePassword(java.lang.Object ds, java.lang.Object application)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### createDatasource

    java.lang.Object createDatasource

### dependsOn

    java.lang.Object dependsOn

### doWithSpring

    java.lang.Object doWithSpring

### doWithWebDescriptor

    java.lang.Object doWithWebDescriptor

### onChange

    java.lang.Object onChange

### onShutdown

    java.lang.Object onShutdown

### version

    java.lang.Object version

### watchedResources

    java.lang.Object watchedResources

Method Detail

### registerTomcatJMXMBeans

    void registerTomcatJMXMBeans(java.lang.Object application, java.lang.Object beanBuilderDelegate)

### resolvePassword

    java.lang.String resolvePassword(java.lang.Object ds, java.lang.Object application)

Groovy Documentation